;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:vraidate
;
; PURPOSE:donne la date en long
;
; CATEGORY:
;
; CALLING SEQUENCE:res=vraidate(date)
;
; INPUTS:date:une date du type yyyymmdd
;
; KEYWORD PARAMETERS:
;
;       /GRADS: if  1 le year le 49 then year = 2000+year
;               if 50 le year le 99 then year = 1900+year
;
; OUTPUTS:une date vairmer du type yyyymmdd
;
; SIDE EFFECTS:si year est nulle ou egale a -1 ne change rien
;
; EXAMPLE:vraidate(980703) donne 19980703 qui est un long
;
; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
;			3/7/98
; remove automatic change from year 1 to 1901... Aug 2004
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
function vraidate, date, GRADS = grads, _EXTRA = ex
;------------------------------------------------------------
  IF NOT keyword_set(GRADS) THEN return, long(date)
;
  date = long(date)
  annee = date/10000
  return, date+19000000L*(annee GE 50 and date lt 1000000)+20000000L*(annee LT 50 and date lt 1000000)
;------------------------------------------------------------
end
